%global momorel 3

Name:           decibel
Version:        0.5.0
Release:        %{momorel}m%{?dist}
Summary:        A realtime communications framework

# FIXME/TODO: Find proper group
Group:          User Interface/Desktops
License:        LGPLv2
URL:            http://decibel.kde.org
Source0:        http://decibel.kde.org/fileadmin/downloads/decibel/releases/%{name}-%{version}.tar.gz
NoSource:	0
Patch0:         decibel-0.5.0-gcc44.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# FIXME/TODO: some BRs from CMakeCache.txt
# DOXYGEN_DOT_EXECUTABLE:FILEPATH=DOXYGEN_DOT_EXECUTABLE-NOTFOUND
# QT_QTMOTIF_INCLUDE_DIR:PATH=QT_QTMOTIF_INCLUDE_DIR-NOTFOUND
# QT_QTMOTIF_LIBRARY:FILEPATH=QT_QTMOTIF_LIBRARY-NOTFOUND
# QT_QTNSPLUGIN_INCLUDE_DIR:PATH=QT_QTNSPLUGIN_INCLUDE_DIR-NOTFOUND
# QT_QTNSPLUGIN_LIBRARY:FILEPATH=QT_QTNSPLUGIN_LIBRARY-NOTFOUND
BuildRequires:  cmake >= 2.4.8-5m
BuildRequires:  doxygen
BuildRequires:  kdelibs-devel
BuildRequires:  tapioca-qt-devel
BuildRequires:  telepathy-qt-devel
# FIMXE/TODO: This ones will be in kdelibs4-devel soon; could be removed then
BuildRequires:  libxkbfile-devel
BuildRequires:  libXdamage-devel
BuildRequires:  libXv-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libXtst-devel
BuildRequires:  libXxf86misc-devel
BuildRequires:  libXcomposite-devel

# FIXME/TODO: Find proper description 
%description
Decibel is a realtime communications framework, integrating services like CTI 
(Computer Telephone Integration), VoIP (Voice over IP), text based chat and 
instant messaging. 
Desktop users find in Decibel one central place to manage all their realtime 
communication settings and can easily configure and change responses to 
communication requests. 
By providing a simple, DBus-based API to the services like communication 
accountmanagement, connection to contacts, etc. Decibel reduces the complexity 
and effort of accessing realtime communication technologies in applications. 
This allows for integration of realtime communication technologies into 
applications that are not focused on communication.

%package devel
Group:    Development/Libraries
Summary:  Header files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
%description devel
Header files for developing applications using %{name}.

%prep
%setup -q
%patch0 -p1 -b .gcc44~

%build

# FIXME/TODO: should rpath really be skipped?
%{cmake} -DCMAKE_SKIP_RPATH:BOOL=ON .

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} 

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/*
%{_datadir}/Decibel/
%{_datadir}/dbus-1/services/*
%{_datadir}/kde4/services/kcm_decibel_accountmanager.desktop
%{_docdir}/Decibel/
%{_libdir}/*.so.*
%{_libdir}/Decibel/
# FIXME/TODO: put this in a subpkg?
%{_libdir}/kde4/kcm_decibel_accountmanager.so

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/Decibel/

%changelog
* Sun Jan 25 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-3m)
- apply gcc44 patch

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.5.0-2m)
- rebuild against rpm-4.6

* Fri Aug  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.0-1m)
- import from Fedora

* Sun Nov 18 2007 Sebastian Vahl <fedora@deadbabylon.de> 0.5.0-1
- Initial version for Fedora
